import { Series } from "./Series";
import { IFastItemColumn$1 } from "igniteui-react-core";
import { IEnumerable, Type } from "igniteui-react-core";
import { NumericXAxis } from "./NumericXAxis";
import { NumericYAxis } from "./NumericYAxis";
import { IFastItemsSource } from "igniteui-react-core";
import { TriangulationStatusEventArgs } from "igniteui-react-core";
import { Axis } from "./Axis";
import { Rect } from "igniteui-react-core";
import { SeriesView } from "./SeriesView";
import { FastItemsSourceEventAction } from "igniteui-react-core";
import { AxisRange } from "./AxisRange";
/**
 * @hidden
 */
export declare abstract class ScatterTriangulationSeries extends Series {
    static $t: Type;
    h1(): void;
    m8: string;
    fs(a: any, b: string): any;
    nc: string;
    private mh;
    protected mn: IFastItemColumn$1<number>;
    private mi;
    protected mo: IFastItemColumn$1<number>;
    ma: NumericXAxis;
    mb: NumericYAxis;
    private mq;
    jm(a: boolean): void;
    private ng;
    private ne;
    private md;
    triangulationStatusChanged: (sender: any, args: TriangulationStatusEventArgs) => void;
    private nh;
    protected mj(a: IFastItemsSource, b: string): IFastItemColumn$1<number>;
    protected i7(a: any, b: string, c: any, d: any): void;
    ms(a: any): boolean;
    mr(a: any): boolean;
    dw(a: Rect, b: Rect, c: SeriesView): boolean;
    private nf;
    private mt;
    ik(): void;
    protected h6(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    an(a: Axis): AxisRange;
    protected j1(a: Rect, b: Rect): void;
    protected j0(a: Rect, b: Rect): void;
    trianglesSource: IEnumerable;
    mp: IFastItemsSource;
    m0: string;
    m2: string;
    m4: string;
    private me;
    protected mk: IFastItemColumn$1<number>;
    private mf;
    protected ml: IFastItemColumn$1<number>;
    private mg;
    protected mm: IFastItemColumn$1<number>;
    protected get_c5(): boolean;
    static $$p: string[];
}
